#include "Entity.hpp"


Field::Field(const QString &type, QString &name)
    : _type (type)
    , _name (name)
    , _id(false)
    , _isList(false)
    , _isMarshallable (false)
{
}

QString Field::type() const
{
    return _type;
}

QString Field::name() const
{
    return _name;
}

bool Field::isId() const
{
    return _id;
}

void Field::setId(bool id)
{
    _id = id;
}


void Field::setIsList(bool isList)
{
    _isList = isList;
}

bool Field::isList() const
{
    return _isList;
}

Entity::Entity()
{
}

void Field::setIsMarshallable(bool isMarshallable)
{
    _isMarshallable = isMarshallable;
}

bool Field::isMarshallable() const
{
    return _isMarshallable;
}
