#ifndef PLUGINRUNNER_HPP
#define PLUGINRUNNER_HPP

#include <QObject>
#include <DoQuBook/PluginLoader.hpp>

class PluginRunner : public QObject
{
    Q_OBJECT
public:
    PluginRunner();


public slots:
    QImage run (QImage inputImage);
    void pluginConfigured(std::tr1::shared_ptr<DoQuBook::AlgorithmOnTask> plugin, const QVariantMap &params);


private :
    std::tr1::shared_ptr<DoQuBook::AlgorithmOnTask> _plugin;
    QVariantMap _params;
};

#endif // PLUGINRUNNER_HPP
