#ifndef DBWEBOCRREMOTEPROXY_HPP
#define DBWEBOCRREMOTEPROXY_HPP


#include <DoQuBook/OCR.hpp>
#include <DoQuBook/Repository.hpp>

class DBWebOCRRemoteProxy : public OCR
{
        Q_OBJECT
    public:
        DBWebOCRRemoteProxy (DoQuBook::RepositoryPtr repo,
                             DoQuBook::ExecutorPtr executor);

        virtual QString organisationName ();
        virtual QString description () ;
        virtual QString algorithmName ();
        virtual QString version();
        virtual QString ocr (const QImage & image, const QVariantMap & params = QVariantMap() );

    private :
        DoQuBook::RepositoryPtr _repo;
        DoQuBook::ExecutorPtr _executor;
};

#endif // DBWEBOCRREMOTEPROXY_HPP
