#include "MarshallableFormaterFactory.hpp"

#include <DoQuBook/PluginLoader.hpp>

using namespace DoQuBook;
using namespace DoQuBook::DBWebRepo;

MarshallableFormaterFactory::MarshallableFormaterFactory()
{
}

MarshallableFormaterPtr MarshallableFormaterFactory::create()
{
#ifdef HAVE_QT5
  MarshallableFormaterPtr marshaller = PluginLoader::instance()->getPlugin<MarshallableFormater>("labri.Qt5JSONMarshallableFormater.0.0.1");
#else
  MarshallableFormaterPtr marshaller = PluginLoader::instance()->getPlugin<MarshallableFormater>("labri.QJSONMarshallableFormater.0.0.1");
#endif
  return marshaller;
}
