#ifndef MARSHALLABLEFORMATERFACTORY_HPP
#define MARSHALLABLEFORMATERFACTORY_HPP

#include <DoQuBook/Singleton.hpp>
#include <DoQuBook/MarshallableFormater.hpp>

namespace  DoQuBook {
  namespace  DBWebRepo {
    class MarshallableFormaterFactory : public DoQuBook::Singleton<MarshallableFormaterFactory>
    {
        friend class DoQuBook::Singleton<MarshallableFormaterFactory>;
      public :
        MarshallableFormaterPtr create();
      protected:
        MarshallableFormaterFactory();
    };
  }
}

#endif // MARSHALLABLEFORMATERFACTORY_HPP
