#ifndef ATTACHMENTSERVICES_HPP
#define ATTACHMENTSERVICES_HPP

#include <QImage>
#include <DoQuBook/Page.hpp>
#include <DoQuBook/RESTImageManager.hpp>
#include <QFileInfo>

namespace DoQuBook
{

    class AttachmentServices : public QObject
    {
            Q_OBJECT

        public:
            AttachmentServices (QString serverAdress);


            QUrl addImage (QImage image, PagePtr page, QString imageName);
            QImage getImage (PagePtr page, QString imageName);

            QUrl getImageUrl (PagePtr page, QString imageName);


        private :

            QString server_adress;
            QString rest_service_url;
            QString attachments_ressource;
            RESTImageManager m_attachmentImageManager;

    };
}

#endif // ATTACHMENTSERVICES_HPP
