#include "Executor.hpp"

using namespace DoQuBook;

Executor::Executor()
{
}

void Executor::addParam (const QString & name, const QString & parameterType, bool required)
{
    ExecutorParameterPtr param = ExecutorParameter::create();
    param->setName (name);
    param->setParameterType (parameterType);
    param->setRequired (required);
    m_params.append (param);
}

void Executor::addParam (ExecutorParameterPtr param)
{
    m_params.append (param);
}

ExecutorParameterPtr ExecutorParameter::create (const QString & name, const QString & type, bool required)
{
    ExecutorParameterPtr param = ExecutorParameter::create();
    param->setName (name);
    param->setParameterType (type);
    param->setRequired (required);
    return param;
}
