#ifndef ITERATOR_HPP
#define ITERATOR_HPP

#include <QSharedPointer>

/************
  *** Iterators :
***/////////

template <typename T>
class Iterator;

template <typename T>
class meta_iterator
{
    public :
        typedef QSharedPointer<Iterator<T> > IteratorPtr;
};


template <typename T>
class Iterator
{

    public :
        Iterator() {}
        virtual ~Iterator () {}
        virtual bool hasNext() = 0;
        virtual T next() = 0;
protected :
    virtual void preNext (T &) {}
    virtual void configure (Iterator<T> */*nextIt*/) {}
};


#endif // ITERATOR_HPP
