#include "PerformanceMetricService.hpp"

using namespace DoQuBook;

PerformanceMetric::PerformanceMetric (QObject * parent)
    : SimpleMarshallable (parent)
    , m_id (-1)
    , m_metricValue (-1)
{
}

PerformanceMetric::~PerformanceMetric()
{
}

int PerformanceMetric::getId() const
{
    return m_id;
}

QString PerformanceMetric::getAlgorithmName() const
{
    return m_algorithmName;
}

QString PerformanceMetric::getMetricName() const
{
    return m_metricName;
}

double PerformanceMetric::getMetricValue() const
{
    return m_metricValue;
}

void PerformanceMetric::setId (int arg)
{
    if (m_id != arg) {
        m_id = arg;
        emit idChanged (arg);
    }
}

void PerformanceMetric::setAlgorithmName (QString arg)
{
    if (m_algorithmName != arg) {
        m_algorithmName = arg;
        emit algorithmNameChanged (arg);
    }
}

void PerformanceMetric::setMetricName (QString arg)
{
    if (m_metricName != arg) {
        m_metricName = arg;
        emit metricNameChanged (arg);
    }
}

void PerformanceMetric::setMetricValue (double arg)
{
    if (m_metricValue != arg) {
        m_metricValue = arg;
        emit metricValueChanged (arg);
    }
}


