#ifndef PREDICTIONMODELRESULTSERVICE_HPP
#define PREDICTIONMODELRESULTSERVICE_HPP

#include <QSharedPointer>
#include <DoQuBook/DoQuBook_global.hpp>

namespace DoQuBook
{

    class PredictionModelResultService;
    typedef QSharedPointer<PredictionModelResultService> PredictionModelResultServicePtr;

    class DoQuBookSHARED_EXPORT PredictionModelResultService
    {
        public:
            PredictionModelResultService() {}
            virtual ~PredictionModelResultService() {}


            virtual void create (QString name, QString description) = 0;
            virtual void addPredictionModelMetric (QString modelName, QString metricName, double value) = 0;
            virtual void addPagePredictionError (QString modelName, int pageId, double value) = 0;

    };

}


#endif // PREDICTIONMODELRESULTSERVICE_HPP
