#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  *  J. Kittler and J. Illingworth, "On threshold selection
  *   using clustering criteria," IEEE Trans. Syst. Man
  *   Cybern. SMC-15, 652-655(1985)
  *
  */
class BinarizationKittler : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
