#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  * C.H. Li and P. K. S. Tam, "An iterative algorithm
  *   for minimum cross-entropy thresholding," Pattern
  *   Recogn, Lett. 19, 771-776(1998)
  *
  */
class BinarizationLi : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
