#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  * J. M. White and G. D. Rohrer, "Image thresholdubg for optical character
  * recognition and other application requiring character image extraction,"
  * IBM j. res. Dev. 27(4), 400-411 (1983)
  *Survey over image thresholding techniques
  and quantitative performance evaluation
  */
class BinarizationWhite : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
