#include "TestEqualizeHistogramOpenCV.hpp"

#include <EqualizeHistogramOpenCV.hpp>
#include <DoQuBook/PluginLoader.hpp>
#include <QApplication>
#include "Config.hpp"

void TestEqualizeHistogramOpenCV::testPlugin()
{
    QString plugins_dir_path = qApp->applicationDirPath()+"/../plugins";
    DoQuBook::PluginLoader::instance()->setPluginDirPath(plugins_dir_path);
    
     EqualizeHistogramOpenCV plugin;
     QImage testImage (DATA_DIR+"BMP72_0006.jpg");
     QVERIFY(!testImage.isNull());
     QImage out = plugin.filter(testImage);
     QVERIFY(!out.isNull());
}

void TestEqualizeHistogramOpenCV::init()
{
}

void TestEqualizeHistogramOpenCV::cleanup()
{
}

QTEST_MAIN(TestEqualizeHistogramOpenCV)
