#include "TestSharpenOpenCV.hpp"

#include <SharpenOpenCV.hpp>
#include <DoQuBook/PluginLoader.hpp>
#include <QApplication>
#include "Config.hpp"

void TestSharpenOpenCV::testPlugin()
{
    QString plugins_dir_path = qApp->applicationDirPath()+"/../plugins";
    DoQuBook::PluginLoader::instance()->setPluginDirPath(plugins_dir_path);
    
     SharpenOpenCV plugin;
     QImage testImage (DATA_DIR+"BMP72_0006.jpg");
     QImage out = plugin.filter(testImage);
     QVERIFY(!out.isNull());
}

void TestSharpenOpenCV::init()
{
}

void TestSharpenOpenCV::cleanup()
{
}

QTEST_MAIN(TestSharpenOpenCV)
