#include "SampleMeasurer.hpp"

#include <cv.h>
#include <highgui.h>
#include <iostream>

#include <DoQuBook/DoQuBookOpenCVConverter.hpp>

#include <QDebug>
#include <QtPlugin>

using namespace DoQuBook;


QMap<QString, double> SampleMeasurer::measure(QList<QImage> &images, const QVariantMap &params)
{
    /*DoQuBookOpenCVConverter converter;
    cv::Mat mat = converter.getCvMat(qimage);
///// Do Something
/////

    return converter.getQImage(mat);*/
    QMap<QString, double> measures;

    int sumOfWidth = 0;
    int sumOfHeight = 0;
    foreach(QImage img, images) {
        sumOfWidth += img.width();
        sumOfHeight += img.height();
    }

    measures["sumOfWidth"] = sumOfWidth;
    measures["sumOfHeight"] = sumOfHeight;

    return measures;
}

DQB_EXPORT_PLUGIN(SampleMeasurer)
