#include "TestTesseractCL.hpp"

#include <TesseractCL.hpp>
#include <DoQuBook/PluginLoader.hpp>
#include <QApplication>

void TestTesseractCL::testPlugin()
{
    QString plugins_dir_path = qApp->applicationDirPath()+"/../plugins";
    DoQuBook::PluginLoader::instance()->setPluginDirPath(plugins_dir_path);
    
     TesseractCL plugin;
     QImage testImage (":/images/image");
     QString ocr = plugin.ocr(testImage);
     qDebug() << ocr;
}

void TestTesseractCL::init()
{
}

void TestTesseractCL::cleanup()
{
}

QTEST_MAIN(TestTesseractCL)
