#ifndef VERTICALREGISTRATION_HPP
#define VERTICALREGISTRATION_HPP

#include <DoQuBook/Dtw.hpp>
#include <QVector>

#include <QTransform>

class VerticalRegistration
{
public:
    VerticalRegistration();
    QImage registerImage (const QImage &recto, const QImage &verso,
                        const QHash<int, int> &assocs);
    int meanDy(Dtw::BinMatchList assocs, QVector<size_t> hProfile1, QVector<size_t> hProfile2 );
};

#endif // VERTICALREGISTRATION_HPP
