#include <DoQuBook/Executor.hpp>
#include <DoQuBook/RegionFeaturesListComputer.hpp>
#include <PluginConfig.hpp>

class IseCooccurrencePixelFeaturesComputer : public RegionFeaturesListComputer
{
    Q_OBJECT
    DQB_PLUGIN(RegionFeaturesListComputer, RegionFeaturesListComputer_iid)
    virtual QList<DoQuBook::ExecutorParameterPtr> parameters ();
    virtual DoQuBook::RegionFeaturesListPtr extract (const QImage &image, DoQuBook::RegionListPtr &regions, const QVariantMap & parameters = QVariantMap() );
};
