#include "LevenshteinDistance.hpp"

#include <cv.h>
#include <highgui.h>
#include <iostream>

#include <DoQuBook/DoQuBookOpenCVConverter.hpp>

#include <QDebug>
#include <QtPlugin>
#include <math.h>

using namespace DoQuBook;


double LevenshteinDistance::compare(const QString &text1, const QString &text2)
{
    std::string s1 = text1.toStdString();
    std::string s2 = text2.toStdString();
    int nb = 0;//edit_distance(s1,s2);
    return 100 * nb / std::max(s1.size(),s2.size());
}


DQB_EXPORT_PLUGIN(LevenshteinDistance)
