#include "JavaImplServiceBuilder.hpp"
#include <QFile>



JavaImplServiceBuilder::JavaImplServiceBuilder(Entity &e)
    : ServiceBuilder(e, "java", "", ".java")
{
}

void JavaImplServiceBuilder::moreTemplatesOnImplementationFile(QString &templ)
{
    templ.replace("${NAMESPACE}", getNamespace().toLower() );
}

QString JavaImplServiceBuilder::implementationFileSuffix()
{
    QString f ( serviceName() + "Impl"+ langExtImpl() );
    return f;
}

void JavaImplServiceBuilder::toFile()
{
    writeImplementationFile();
}
