#include "JavaResourceBuilder.hpp"

#include <QDebug>


JavaResourceBuilder::JavaResourceBuilder(Entity &e)
    : ServiceBuilder(e, "java", ".java")
{
}
void JavaResourceBuilder::moreTemplatesOnDeclarationFile(QString &templ)
{
    templ.replace("${NAMESPACE}", getNamespace().toLower() );
}

QString JavaResourceBuilder::getDeclarationFileTemplate()
{
    QString templ = openTemplate(":/"+ lang() +"/resource/declaration");
    return templ;
}

QString JavaResourceBuilder::declarationFileSuffix()
{
    QString f ( entity().name() + "Resource" + langExtDecl() );
    return f;
}



