cd DoQuBook;

echo -e "\033[34;1m";
echo "------------------------------------------------------";
echo "-- Building DoQuBook ";
echo "------------------------------------------------------";
echo "------------------------------------------------------";
echo -e "\033[0m";

rm -rf build;
mkdir build;
cd build;
cmake ..
make -j 5;
sudo make install
sudo make package;

if [ -f "/usr/bin/sw_vers" ]; then
	OS_NAME="$(echo `sw_vers -productName` | sed 's/ /_/g')"
	DEST_PATH="$HOME/Dropbox/binaries/$OS_NAME/`sw_vers -productVersion`/`uname -m`"
fi
if [ -f "/usr/bin/lsb_release" ]; then
	DEST_PATH="$HOME/Dropbox/binaries/`lsb_release -si | tr '[A-Z]' '[a-z]'`/`lsb_release -sr`/`uname -m`"
fi


mkdir -p $DEST_PATH
cp *.zip $DEST_PATH
cp *.deb $DEST_PATH

cd ../..

./Tools/unix-make-all-plugins-release.sh 
./Tools/unix-make-all-apps-release.sh 



