#ifndef CPPCLASSBUILDER_HPP
#define CPPCLASSBUILDER_HPP

#include <QString>
#include "ClassBuilder.hpp"

class CppClassBuilder : public ClassBuilder
{
public:
    CppClassBuilder();
    virtual QString lang() {return "cpp";}
    virtual QString classTemplate();
    virtual QString getterTemplate();

    virtual QString getFieldType(const Field &f);
    virtual QString getFieldAnnotations(const Field&f);

    virtual void moreTemplatesOnDeclarationFile(QString & templ);
    virtual void moreTemplatesOnImplementationFile(QString & templ);


    virtual QString imports();


    virtual bool hasDeclarationAndImplementationFiles() ;
    virtual  QFile * declarationFile() ;
    virtual QFile * implementationFile() ;

};

#endif // CPPCLASSBUILDER_HPP
