#ifndef ENTITY_HPP
#define ENTITY_HPP

#include <QString>

class Field {
public:
    Field (const QString &type, QString &name);

    QString name() const;
    QString type() const;
    bool isId() const;
    void setId(bool id);

    void setIsList(bool isList);
    bool isList() const;

    void setIsMarshallable (bool isMarshallable);
    bool isMarshallable () const;

private :
    QString _type;
    QString _name;
    bool _id;
    bool _isList;
    bool _isMarshallable;
};

class Entity
{
public:
    Entity();
};

#endif // ENTITY_HPP
