#include "JavaClassBuilder.hpp"

#include <QDebug>



JavaClassBuilder::JavaClassBuilder(const QString &pathFileImports)
    : _pathFileImports (pathFileImports)
{
}

/// \todo mettre en resource (qrc)
QString JavaClassBuilder::imports()
{
    QString import;
    QFile file(_pathFileImports);
    if (!file.open(QIODevice::ReadOnly | QIODevice::Text)) {
        qCritical() << "Could not open file " << _pathFileImports;
        return import;
    }

    QTextStream in(&file);
    while (!in.atEnd()) {
        import.append(in.readLine()+"\n");
    }
    return import;
}

QString JavaClassBuilder::classTemplate()
{
    return ":/java/entity/class";
}

QFile * JavaClassBuilder::declarationFile()
{
    QFile *f = new QFile(_name+".java");
    return f;
}

QFile * JavaClassBuilder::implementationFile()
{
    QFile *f = new QFile(_name+".java");
    return f;
}

bool JavaClassBuilder::hasDeclarationAndImplementationFiles()
{
    return false;
}

QString JavaClassBuilder::getterTemplate()
{
    return ":/java/getter";
}






