#ifndef JAVACLASSBUILDER_HPP
#define JAVACLASSBUILDER_HPP

#include "ClassBuilder.hpp"

class JavaClassBuilder : public ClassBuilder
{
public:
    JavaClassBuilder(const QString &pathFileImports);

    virtual QString lang() {return "java";}

    virtual QString classTemplate();
    virtual QString getterTemplate();

protected :
    virtual QString imports();

    bool hasDeclarationAndImplementationFiles();
    virtual  QFile * declarationFile();
    virtual  QFile * implementationFile();



private :
    QString _pathFileImports;

};

#endif // JAVACLASSBUILDER_HPP
