#include "PluginRunner.hpp"

PluginRunner::PluginRunner()
{
}

QImage PluginRunner::run(QImage inputImage)
{
    QVariantMap pluginMethodParams;
    pluginMethodParams["image"] = inputImage;

    QVariant res = _plugin->compute(pluginMethodParams, _params);
    return res.value<QImage> ();

}

void PluginRunner::pluginConfigured(std::tr1::shared_ptr<DoQuBook::AlgorithmOnTask> plugin, const QVariantMap &params)
{
    _plugin = plugin;
    _params = params;
}
