#include "Plugin.hpp"

Plugin::Plugin(QObject *parent) :
  SimpleMarshallable(parent)
{
}

QString Plugin::getId() const
{
  return m_id;
}

QString Plugin::getOrganizationName() const
{
  return m_organizationName;
}

QString Plugin::getDescription() const
{
  return m_description;
}

QString Plugin::getAlgorithmName() const
{
  return m_algorithmName;
}

QString Plugin::getVersion() const
{
  return m_version;
}

QString Plugin::getCategory() const
{
  return m_category;
}

QString Plugin::getVersionControlUrl() const
{
  return m_versionControlUrl;
}

void Plugin::setId(QString arg)
{
  m_id = arg;
}

void Plugin::setOrganizationName(QString arg)
{
  m_organizationName = arg;
}

void Plugin::setDescription(QString arg)
{
  m_description = arg;
}

void Plugin::setAlgorithmName(QString arg)
{
  m_algorithmName = arg;
}

void Plugin::setVersion(QString arg)
{
  m_version = arg;
}

void Plugin::setCategory(QString arg)
{
  m_category = arg;
}

void Plugin::setVersionControlUrl(QString arg)
{
  m_versionControlUrl = arg;
}
