#ifndef DBWEBTEMPIMAGESERVICE_HPP
#define DBWEBTEMPIMAGESERVICE_HPP

#include <DoQuBook/TempImageService.hpp>
#include <DoQuBook/RESTObjectManager.hpp>
#include <DoQuBook/RESTImageManager.hpp>

namespace DoQuBook
{


    class DBWebTempImageService : public TempImageService
    {
        public:
            DBWebTempImageService (const QString & serverAdress);

            virtual QUrl add (QImage image);
            virtual QImage get (QUrl url);

        private :
            QString m_serverAdress;
            RESTImageManager m_imageManager;
            QString m_restServicesUrl;
    };

}

#endif // DBWEBTEMPIMAGESERVICE_HPP
