#include "TestPageService.hpp"

#include <DBWebPageService.hpp>
#include <DoQuBook/ApplicationContext.hpp>
#include <DoQuBook/PluginLoader.hpp>

#include "Config.hpp"

#include <QtTest>


using namespace  DoQuBook;
using namespace  DoQuBook::TestsUtils;
using namespace  DoQuBook::DBWebRepo;
using namespace  DoQuBook::DBWebRepo::TestsUtils;
using namespace  DoQuBook::DBWebRepo::Tests;

TestPageService::TestPageService(QObject *parent) :
  GenericTestPageService(parent)
{

  repo = ApplicationContext::instance()->getRepository("LocalhostDev");
  pageService = repo->getPageService();
  qDebug() << qgetenv("JBOSS_HOME");
}


QTEST_MAIN(TestPageService)
