#ifndef DESKEWER_HPP
#define DESKEWER_HPP

#include <QTransform>
#include <DoQuBook/DoQuBook_global.hpp>
#include <DoQuBook/PluginBase.hpp>

class DoQuBookSHARED_EXPORT Deskewer : public PluginBase
{
  public:
    Deskewer() {}
    virtual ~Deskewer() {}

    virtual QTransform deskewTransformation (const QImage & image) = 0;

};

typedef std_shared_ptr<Deskewer>::type DeskewerPtr;

#define Deskewer_iid "fr.labri.doqubook.Deskewer"

Q_DECLARE_INTERFACE (Deskewer, Deskewer_iid)

#endif // RECTOVERSOREGISTRATION_HPP
