#include "PixelFeatures.hpp"

using namespace DoQuBook;

int DoQuBook::PixelFeatures::getId() const {
  return m_id;
}

int PixelFeatures::getX() const {
  return m_x;
}

int PixelFeatures::getY() const {
  return m_y;
}

QList<double> PixelFeatures::getFeatures() const {
  return m_features;
}

void PixelFeatures::setId(int arg) {
  if (m_id != arg) {
    m_id = arg;
    //emit idChanged(arg);
  }
}

void PixelFeatures::setX(int arg) {
  if (m_x != arg) {
    m_x = arg;
   // emit xChanged(arg);
  }
}

void PixelFeatures::setY(int arg) {
  if (m_y != arg) {
    m_y = arg;
   // emit yChanged(arg);
  }
}

void PixelFeatures::setFeatures(QList<double> arg) {
  if (m_features != arg) {
    m_features = arg;
    //emit featuresChanged(arg);
  }
}
