#include "RegionFeatures.hpp"

using namespace DoQuBook;

RegionFeatures::RegionFeatures()
{
}
RegionPtr RegionFeatures::region() const
{
  return _region;
}

void RegionFeatures::setRegion(const RegionPtr& region)
{
  _region = region;
}


QList<double> RegionFeatures::features() const
{
  return _features;
}

void RegionFeatures::setFeatures(const QList<double>& features)
{
  _features = features;
}




RegionFeaturesList::RegionFeaturesList()
{

}
QList<RegionFeaturesPtr> RegionFeaturesList::features() const
{
  return _features;
}

void RegionFeaturesList::setFeatures(const QList<RegionFeaturesPtr>& features)
{
  _features = features;
}

void RegionFeaturesList::add(const RegionFeaturesPtr& regionFeats)
{
  _features << regionFeats;
}

