#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  * Binarization method described in :
  *      J. Bernsen, "Dynamic thresholding of gray level images,"
  *         ICPR'86: Proc. Intl. Conf. Parr. Recog., pp. 1251-1255 (1986)
  */
class BinarizationBernsen : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
