#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  * W. Niblack, An introduction to Image Processing, pp. 115-116,
  *  Prentice-Hall, Englewood Cliffs, NJ (1986)
  */
class BinarizationNiblack : public Binarizer
{
    Q_OBJECT
		DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
