#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  *  N. Ramesh, J. H. Yoo, and I. K. Sethi, "thresholding based
  *   on histogram approcimation," IEE Proc. Vision Image Signal
  *   Process. 142(5), 271-279(1995)
  *
  */
class BinarizationRamesh : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
