#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  *   T. W. Ridler and S. Calvard, " Picture thresholding
  *   using an iterative selection method, " IEEE Trans.
  *   Syst. Man Cybern. SMC-8, 630-632(1978)
  *
  */
class BinarizationRidler : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
