#include <DoQuBook/Binarizer.hpp>
#include <PluginConfig.hpp>

namespace Binarizers {

/**
  *   P. Sahoo, C. Wilkins, and J. Yeager,
  *   "threshold selection using Renyi's entrpy,"
  *   Pattern Recogn. 30, 71-84(1997)
  *
  */
class BinarizationSahoo : public Binarizer
{
    Q_OBJECT
    DQB_PLUGIN(Binarizer, "fr.labri.doqubook.Binarizer")
    virtual QImage binarize(const QImage &image, const QVariantMap &params = QVariantMap());
};

}
