#include "SimpleOCROpus.hpp"

#include <QDebug>
#include <QtPlugin>
#include <string>
#include <iostream>

#include <QProcess>
#include <QFile>
#include <QImage>

#include <cmath>
#include "Config.hpp"
#include <DoQuBook/Exceptions.hpp>
using namespace DoQuBook;

//  ocropus page ./tests/SimpleOCROpusPlugin/data/doc_propre.png > out.txt



QString SimpleOCROpus::ocr(const QImage &image, const QVariantMap &/*params*/)
{
    QString imageFilePath = "tmpOCROpusImg.png";
    image.save(imageFilePath);

    QString program = PATH_TO_OCROPUS;
    QStringList arguments;
    arguments <<  "page" << imageFilePath;

    QProcess *myProcess = new QProcess;
    myProcess->start(program, arguments);
    myProcess->waitForFinished(-1);

    QByteArray result = myProcess->readAll();

    return result;
}


DQB_EXPORT_PLUGIN(SimpleOCROpus)
