#include "TestSimpleOCROpus.hpp"

#include <SimpleOCROpus.hpp>
#include <DoQuBook/PluginLoader.hpp>
#include <QApplication>
#include "Config.hpp"

void TestSimpleOCROpus::testPlugin()
{
    QString plugins_dir_path = qApp->applicationDirPath()+"/../plugins";
    DoQuBook::PluginLoader::instance()->setPluginDirPath(plugins_dir_path);
    
     SimpleOCROpus plugin;
     QImage testImage (DATA_DIR+"doc_propre.png");
     QVERIFY(!testImage.isNull());
     QString text = plugin.ocr(testImage);
     qDebug() << text;
}

void TestSimpleOCROpus::init()
{
}

void TestSimpleOCROpus::cleanup()
{
}

QTEST_MAIN(TestSimpleOCROpus)
