#include <DoQuBook/RectoVersoRegistration.hpp>
#include <QObject>

/**
  * \mainpage
  * RegistrationDTW registers a Recto with its corresponding verso using a DTW algorithm
  */
class RegistrationDTW : public QObject, public RectoVersoRegistration
{
 Q_OBJECT

 Q_INTERFACES(RectoVersoRegistration)
  
public:
    RegistrationDTW();
    ~RegistrationDTW();

    virtual QTransform compute (const QList<QImage> &images);
};
