#ifndef CSHARPCLASSBUILDER_H
#define CSHARPCLASSBUILDER_H

#include "ClassBuilder.hpp"
#include "Entity.hpp"

class CSharpClassBuilder : public ClassBuilder
{

public:
    CSharpClassBuilder(Entity &e);

protected :
    virtual void moreTemplatesOnDeclarationFile(QString & templ);
    virtual void moreTemplatesOnImplementationFile(QString & templ);

    /// permit to setup inheritence schemes
    virtual QString getInheritKeyword();
    virtual QString getInheritDefaultKeyword();
    virtual QString getInheritDefaultParent();

    //permit to overload the writing of Lists and Maps
    QString getFieldType(const Field &f);

};

#endif // CSHARPCLASSBUILDER_H
