#include "JavaClassBuilder.hpp"

#include <QDebug>



JavaClassBuilder::JavaClassBuilder(Entity &e)
    : ClassBuilder(e, "java", ".java")
{
}


QString JavaClassBuilder::getInheritKeyword()
{
    return "extends";
}

QString JavaClassBuilder::getInheritDefaultKeyword()
{
    return "implements";
}

QString JavaClassBuilder::getInheritDefaultParent()
{
    return "Serializable";
}
