for pcatdir in `ls ./Plugins/`; do
	cd ./Plugins/
	if [ -d "./$pcatdir" ]; then
		echo -e "\033[34;1m";
		echo "------------------------------------------------------";
		echo "-- In Category : $pcatdir;";
		echo "------------------------------------------------------";
		echo "------------------------------------------------------";
		echo -e "\033[0m";

		cd ./$pcatdir;
		
		for pdir in `ls .`; do
			#echo "Cmake ok in "`pwd`"./$pdir/../CMakeLists.txt";
			if [ -f "./$pdir/CMakeLists.txt" ]; then
				echo -e "\033[32m"
				echo "----> Building and packaging $pdir :";
				echo -e "\033[0m"

				cd ./$pdir/
				rm -rf build;
				mkdir build;
				cd build;
				cmake ..
				make -j 5;
				sudo make install 
				sudo make package;
				
				if [ -f "/usr/bin/sw_vers" ]; then
					OS_NAME="$(echo `sw_vers -productName` | sed 's/ /_/g')"
					DEST_PATH="$HOME/Dropbox/binaries/$OS_NAME/`sw_vers -productVersion`/`uname -m`"
				fi
				if [ -f "/usr/bin/lsb_release" ]; then
					DEST_PATH="$HOME/Dropbox/binaries/`lsb_release -si | tr '[A-Z]' '[a-z]'`/`lsb_release -sr`/`uname -m`"
				fi


				mkdir -p $DEST_PATH
				cp *.zip $DEST_PATH
				cp *.deb $DEST_PATH
				cd .. # we are at the plugin level
				cd .. # we are at the categorie plugin level
			fi
		done
		cd .. # we are back on all cat level
	fi
	cd .. # back on root where the ./Plugins folder exists
done
